package cn.efunbox.audio.controller;

import cn.efunbox.audio.entity.Device;
import cn.efunbox.audio.repository.DeviceRepo;
import cn.efunbox.audio.service.DeviceService;
import cn.efunbox.audio.util.ApiCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by yao on 17-9-26.
 */
@RestController
@Slf4j
@RequestMapping(value = "/device")
public class DeviceController {

    @Autowired
    DeviceService deviceService;

    @RequestMapping(value = "/login" ,method = RequestMethod.POST)
    public Map Login(@RequestParam int id, @RequestParam String token){
        Device device = deviceService.Login(id, token);
        Map map = new HashMap<>();
        if(device==null){
            map.put("code", ApiCode.INVALID_TOKEN.getCode());
            map.put("msg", ApiCode.INVALID_TOKEN.getCode());
            return map;
        }

        map.put("code", ApiCode.OK.getCode());
        Map data = new HashMap<>();
        data.put("token", device.getTokenNew());
        map.put("data", data);

        return map;
    }

    @RequestMapping(value = "/register" ,method = RequestMethod.POST)
    public Map Register(HttpServletRequest request){
        String idChannel = request.getParameter("idChannel");
        String idDevice = request.getParameter("idDevice");
        Map map = new HashMap<>();
        if(idChannel==null || idDevice==null){
            map.put("code", ApiCode.PARAMETER_ERROR.getCode());
            map.put("msg", ApiCode.PARAMETER_ERROR.getMessage());
            return map;
        }
        if(deviceService.CheckRegister(idChannel, idDevice)){
            map.put("code", ApiCode.RECORD_EXIST.getCode());
            map.put("msg", ApiCode.RECORD_EXIST.getMessage());
            return map;
        }
        Device device = deviceService.Register(idChannel, idDevice);
        if(device!=null){
            map.put("code", ApiCode.OK.getCode());
            Map data = new HashMap<>();
            data.put("token", device.getTokenNew());
            map.put("data", data);
        }

        return map;
    }

}
