package cn.efunbox.audio.entity;


import cn.efunbox.audio.enums.Status;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by yao on 17-9-26.
 */


@Data
@ToString
@Entity
@Table(name = "device")
@DynamicInsert
@DynamicUpdate
public class Device{

    @Id
    @GeneratedValue
    private Long id;

    @Column(name = "tokenNew")
    private String tokenNew;

    @Column
    private String tokenOld;

    @Column
    private String idChannel;

    @Column
    private String idDevice;

    @Column
    private int status= Status.ONLINE.getCode();

    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date valid;

    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date updated;

    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date created;

    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }


}
